Skip to main content
`Ctrl`+`K`

# TSSolve

Steps the requested number of timesteps.

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSSolve(TS ts, Vec u)

Collective

## Input Parameters

- ts - the `TS` context obtained from `TSCreate()`

- u - the solution vector (can be null if `TSSetSolution()` was used and `TSSetExactFinalTime`(ts,`TS_EXACTFINALTIME_MATCHSTEP`) was not used, otherwise must contain the initial conditions and will contain the solution at the final requested time

## Notes

The final time returned by this function may be different from the time of the internally held state accessible by `TSGetSolution()` and `TSGetTime()` because the method may have stepped over the final time.

## See Also

TS: Scalable ODE and DAE Solvers, `TS`, `TSCreate()`, `TSSetSolution()`, `TSStep()`, `TSGetTime()`, `TSGetSolveTime()`

## Level

beginner

## Location

src/ts/interface/ts.c

## Examples

src/tao/unconstrained/tutorials/spectraladjointassimilation.c
src/ts/tutorials/ex15.c
src/ts/tutorials/ex10.c
src/ts/tutorials/ex12.c
src/ts/tutorials/ex16.c
src/ts/tutorials/ex11_sa.c
src/ts/tutorials/ex16fwd.c
src/ts/tutorials/ex13.c
src/ts/tutorials/ex1.c
src/tao/unconstrained/tutorials/burgers_spectral.c

## Implementations

TSSolve_GLLE() in src/ts/impls/implicit/glle/glle.c
TSSolve_Radau5() in src/ts/impls/implicit/radau5/radau5.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages